Subject: Re: bug#20537: 25.0.50; `compose-string-internal` does not work properly on OSX.

From: Keith David Bershatsky <[email-masked]>
Date: Sat, 09 May 2015 12:25:03 -0700

I believe the answer to the first question is available from the `(frame-parameters)` -- i.e., (font-backend mac-ct ns).

Some preliminary Googling relating to Emacs and "complex text layout" pops up a few results that mention Emacs built using Macports.  I haven't tried using that particular version of Emacs -- the Emacs versions that I use are built from scratch using `--with-ns` or downloaded from http://emacsformacosx.com/

I'll continue to do some more Googling to see if I can be of better assistance.

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

At Sat, 09 May 2015 21:52:57 +0300,
Eli Zaretskii wrote:
* * *
> Character composition depends on the font driver doing TRT.  Which
> font driver does your Emacs use, and does that driver support complex
> text layout?